org.apache.hc.client5.http.classic

## Interface ExecChainHandler

All Known Implementing Classes:
  ConnectExec, ContentCompressionExec

    public interface ExecChainHandler

This interface represents an element in the HTTP request execution chain. Each element can either be a decorator around another element that implements a cross cutting aspect or a self-contained executor capable of producing a response for the given request.

Important: please note it is required for decorators that implement post execution aspects or response post-processing of any sort to release resources associated with the response by calling `Closeable.close()` methods in case of an I/O, protocol or runtime exception, or in case the response is not propagated to the caller.

Since:
  4.3

### Method Summary

Methods
`org.apache.hc.core5.http.ClassicHttpResponse` `execute(org.apache.hc.core5.http.ClassicHttpRequest request, ExecChain.Scope scope, ExecChain chain)`

### Method Detail

#### execute

    org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                       ExecChain.Scope scope,
                                                       ExecChain chain)
                                                         throws IOException,
                                                                org.apache.hc.core5.http.HttpException

Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`